%define module_name	ltmodem
%define module_version	8.26a9
%define module_release	alt15

%define kversion	2.6.18
%define krelease	alt5.M40.2
%define flavour		xen-domU

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132626.5.M40.2
License: Distributable
Group: System/Kernel and hardware
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:   Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
Modules for Lucent/Agere based Winmodems

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc

export CC=gcc-"$GCC_VERSION"
gcc_major="$(echo "$GCC_VERSION" | cut -d. -f1)"
unset GCC_VERSION

objcopy ltmdmobj.o.gcc3 ltmdmobj.o.gcc$gcc_major \
	--redefine-sym dp_regwrite=dp_regwrite_nonint \
	--redefine-sym dp_regread=dp_regread_nonint
%make_build GCCVERSION="$gcc_major" CC="$CC -m32" TEMP_DIR=$PWD/ -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=$PWD 

%install
%__mkdir -p %buildroot/%module_dir
%__cp lt_modem.ko lt_serial.ko %buildroot/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Tue Jun 10 2008 Michail Yakushin <silicium@altlinux.ru> 8.26a9-alt15.132626.5.M40.2
- Build for kernel-image-xen-domU-2.6.18-alt5.M40.2.

* Sun Apr 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 8.26a9-alt15
- Removed unneeded "Prereq: modutils".

* Tue Feb 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 8.26a9-alt14
- build for kernel 2.6.18

* Fri Sep 22 2006 L.A. Kostis <lakostis@altlinux.org> 8.26a9-alt13
- add hack for %%ix86 cross-build on x86_64 host.

* Fri May 20 2005 Andrey Rahmatullin <wrar@altlinux.ru> 8.26a9-alt12
- updated for new kernel-source-%module_name (alt5alk7)
- spec cleanup

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt11
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt10
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt9
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt8
- Rebuild for kernel 2.4.26.

* Mon Apr 26 2004 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt7
- Fixed %%install for 2.4.x.

* Thu Apr 15 2004 Andrey Rahmatullin <wrar@altlinux.ru> 8.26a9-alt6
- changed 2.4 build scheme (needed for kernel-source-ltmodem >= alt3,
  which is needed for building for 2.6)

* Sat Feb 28 2004 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt5
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Mon Feb 16 2004 Anton Farygin <rider@altlinux.ru> 8.26a9-alt4
- support for build for kernel 2.6

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt3
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt2
- Fixed spec file name.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 8.26a9-alt1
- imported to ALT Linux kernel CVS

* Thu Aug 28 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.1
- first build
